Package org.drinkless.tdlib

# Class TdApi.LabeledPricePart

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LabeledPricePart

Enclosing class:
  `TdApi`

public static class TdApi.LabeledPricePart extends TdApi.Object
Portion of the price of a product (e.g., "delivery cost", "tax amount").

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `amount`
  Currency amount in the smallest units of the currency.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `label`
  Label for this portion of the product price.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LabeledPricePart()`
  Portion of the price of a product (e.g., "delivery cost", "tax amount").
  `LabeledPricePart(String label, long amount)`
  Portion of the price of a product (e.g., "delivery cost", "tax amount").

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### label

    public String label
    Label for this portion of the product price.

  - ### amount

    public long amount
    Currency amount in the smallest units of the currency.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LabeledPricePart

    public LabeledPricePart()
    Portion of the price of a product (e.g., "delivery cost", "tax amount").

  - ### LabeledPricePart

    public LabeledPricePart(String label, long amount)
    Portion of the price of a product (e.g., "delivery cost", "tax amount").
    Parameters:
      `label` - Label for this portion of the product price.
      `amount` - Currency amount in the smallest units of the currency.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR